MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022368Community[OCCT] OCCT:Visualizationpublic2011-04-05 14:562012-03-29 17:26
Reporterapl 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022368: AIS_Trihedron's highlight presentation isn't updated on trihedron relocation
DescriptionThis problem is reproduced when the AIS_Trihedron's selection mode
is set to 1,2,3. The problem can be reproduced in mfc Viewer3d sample.
  Common steps to reproduce:
  1) Create AIS_Trihedron with Geom_Axis2Placement;
  2) Set trihedron's display mode to 3;
  3) Display trihedron in the AIS_InteractiveContext;
  4) Do highlighting of the AIS_Trihedron (you should see highlighted planes);
  5) Relocate Geom_Axis2Placement;
  6) Redisplay AIS_Trihedron;
  7) Try to do selection of AIS_Trihedron (you'll see highlighted planes isn't
     relocated).

Highlighted plane can be relocated with the AIS_Trihedron only if it has been
selected. But, if the selection has been released the plane stills to be
displayed.
Additional information
and documentation updates
Documentation remark, added by APL 2011-04-21 11:40:11:

Changes:
There are following changes in packages:
AIS package:
  AIS_Trihedron's selection shapes handling algorithm has been corrected:
  1) The active selection shapes updated with calls to methods SetComponent,
     ComputeSelection, SetContext;
  2) Method SetLocation(const TopLoc_Location& aLoc) has been overriden from
     the base class; Now the selection shapes are updated on SetLocation;
  3) Method ComputeSelection now adds the selection shapes to the context
     and hides their display presentation, so they won't be display after
     unselection, so they will be displayed on hilight and selection only.

StdSelect package:
  1) StdSelect_BRepOwner presentation shape updating algorithm has been
     corrected; Now the presentation shape is nullified and recomputed on
     hilighting if the update flag is set, so the context can
     unhilight the old presentation shapes correctly.
     
SelectMgr package:
  1) SelectMgr_SelectableObject now calls SetLocation method of
     the SelectMgr_EntityOwner when its own Location is updated.

Modified entities:
AIS package:
1) AIS_Trihedron class (AIS_Trihedron.cdl) - method SetLocation(const
   TopLoc_Location& aLoc) has been overriden from the base class
   PrsMgr_PresentableObject

ViewerTest package:
1) New Draw command "vsetlocation : name x y z" has been added for tests. It allows changing AIS interactive object location through the interactive context with method SetLocation().
TagsNo tags attached.
Test case numberchl 934 D9
Attached Files? file icon trihedron.bmp (114,974 bytes) 2011-04-05 14:56
gz file icon apl-OCC22368-v1.tar.gz (12,952 bytes) 2011-04-21 14:59
gz file icon apl-OCC22368-v2.tar.gz (12,953 bytes) 2011-04-21 15:31
gz file icon chl_934_D9.tar.gz (596 bytes) 2011-10-20 17:59

- Relationships

-  Notes
(0017854)
bugmaster (administrator)
2011-07-29 13:42

Anton,

Please prepare branch and send it to revising.
(0017867)
apl (developer)
2011-08-01 11:51

SVN branch "http://svn/svn/occt/branches/OCC22368" [^] is ready to be reviewed.
(0017868)
apl (developer)
2011-08-01 11:56

Dear Julia,
Please, review the solution.
Thank you in advance.
(0018327)
jgv (developer)
2011-10-06 12:59

Some small corrections: comments and initialization of variables
(0018381)
mkv (tester)
2011-10-20 17:59
edited on: 2011-11-22 11:51

Dear BugMaster,
Workbench KAS:dev:mkv-OCC22368-occt was created from SVN branch http://svn/svn/occt/branches/OCC22368 [^]
(and mkv-OCC22368-products from trunk) and compiled on Linux platform.

Test case for this bug is chl/934/D9. It is OK.

There are not regressions in mkv-OCC22368-products regarding to KAS:dev:products-652-opt.

See results in /QADisk/occttests/results/KAS/dev/mkv-OCC22368-products_06102011/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-652-opt_23092011/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

(0018395)
bugmaster (administrator)
2011-10-21 20:10

Integrated into trunk of occt repository

Date: 2011-10-21 20:07:55 +0400 (Fri, 21 Oct 2011)
New Revision: 9226

Modified:
   trunk/src/AIS/AIS_Trihedron.cdl
   trunk/src/AIS/AIS_Trihedron.cxx
   trunk/src/SelectMgr/SelectMgr_SelectableObject.cxx
   trunk/src/StdSelect/StdSelect_BRepOwner.cxx
   trunk/src/ViewerTest/ViewerTest_ObjectCommands.cxx

- Related Changesets
occt: master 29d43f9c
Timestamp: 2011-10-21 16:07:55
Author: apl
Committer: bugmaster
Details ] Diff ]
0022368: AIS_Trihedron's highlight presentation isn't updated on trihedron relocation
mod - src/AIS/AIS_Trihedron.cdl Diff ] File ]
mod - src/AIS/AIS_Trihedron.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectableObject.cxx Diff ] File ]
mod - src/StdSelect/StdSelect_BRepOwner.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-04-05 17:09 bugmaster Assigned To bugmaster => apl
2011-04-05 17:09 bugmaster Status new => assigned
2011-04-08 10:14 bugmaster groupset1 => 4096
2011-04-08 10:14 bugmaster Customer => Community
2011-04-21 15:07 apl Status assigned => resolved
2011-07-29 13:42 bugmaster Note Added: 0017854
2011-08-01 11:45 apl Fixed in Version EMPTY =>
2011-08-01 11:45 apl Description Updated View Revisions
2011-08-01 11:45 apl Additional Information Updated View Revisions
2011-08-01 11:51 apl Note Added: 0017867
2011-08-01 11:54 apl Assigned To apl => jgv
2011-08-01 11:56 apl Note Added: 0017868
2011-08-02 11:24 bugmaster Category OCCT:VIZ => OCCT:Visualization
2011-09-20 17:36 szy Target Version => 6.5.2
2011-09-21 11:06 bugmaster Target Version 6.5.2 => 6.5.3
2011-10-06 12:59 jgv Note Added: 0018327
2011-10-06 12:59 jgv Status resolved => reviewed
2011-10-20 17:59 mkv File Added: chl_934_D9.tar.gz
2011-10-20 17:59 mkv Note Added: 0018381
2011-10-20 18:00 mkv Test case number => chl 934 D9
2011-10-20 18:00 mkv Status reviewed => tested
2011-10-21 20:10 bugmaster Note Added: 0018395
2011-10-21 20:10 bugmaster Status tested => verified
2011-11-22 11:51 szy Note Edited: 0018381 View Revisions
2011-11-25 14:29 szy Additional Information Updated View Revisions
2012-03-29 17:26 bugmaster Changeset attached => occt master 29d43f9c


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker